

; DMA transfer from ROM or RAM to OAM memory (sprite attribute table).

;   ld  (0FF46h),a ;start DMA transfer, a=start address/100h
;   ld  a,28h      ;delay...
;  wait:           ;total 5x40 cycles, approx 200us (160us min. required)
;   dec a          ;1 cycle
;   jr  nz,wait    ;4 cycles

; HRAM (FF80h-FFFEh)

.define HRAM_DMA_MEMCPY_LEN 10

_hram_dma_memcpy:
.db $ea,$46,$ff  ; ld ($FF46),a
.db $3e,$28      ; ld a,$28
; _dma_wait: [FF85h]
.db $3d          ; dec a
.db $c2,$85,$ff  ; jr nz,_dma_wait
.db $c9          ; ret
